gnutls_x509_crl_set_crt_serial(3)

NAME
gnutls_x509_crl_set_crt_serial - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_set_crt_serial(gnutls_x509_crl_t crl, const void * serial, size_t serial_size, time_t revocation_time);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t type

const void * serial
    The revoked certificate's serial number

size_t serial_size
    Holds the size of the serial field.

time_t revocation_time
    The time this certificate was revoked

DESCRIPTION
This function will set a revoked certificate's serial number to the CRL.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/